cc.funkemunky.api.utils.blockbox

## Interface BlockBox

All Known Implementing Classes:
  BlockBox1_10_R1, BlockBox1_11_R1, BlockBox1_12_R1, BlockBox1_13_R1, BlockBox1_13_R2, BlockBox1_14_R1, BlockBox1_7_R4, BlockBox1_8_R1, BlockBox1_8_R2, BlockBox1_8_R3, BlockBox1_9_R1, BlockBox1_9_R2

    public interface BlockBox

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`float` `getAiSpeed(org.bukkit.entity.Player player)`
`java.util.List<BoundingBox>` `getCollidingBoxes(org.bukkit.World world, BoundingBox box)`
`float` `getMovementFactor(org.bukkit.entity.Player player)`
`java.util.List<BoundingBox>` `getSpecificBox(org.bukkit.Location location)`
`int` `getTrackerId(org.bukkit.entity.Player player)` Deprecated.
`boolean` `isChunkLoaded(org.bukkit.Location loc)`
`boolean` `isRiptiding(org.bukkit.entity.LivingEntity entity)`
`boolean` `isUsingItem(org.bukkit.entity.Player player)`

### Method Detail

#### getCollidingBoxes

    java.util.List<BoundingBox> getCollidingBoxes(org.bukkit.World world,
                                                  BoundingBox box)

#### getSpecificBox

    java.util.List<BoundingBox> getSpecificBox(org.bukkit.Location location)

#### isChunkLoaded

    boolean isChunkLoaded(org.bukkit.Location loc)

#### isUsingItem

    boolean isUsingItem(org.bukkit.entity.Player player)

#### isRiptiding

    boolean isRiptiding(org.bukkit.entity.LivingEntity entity)

#### getMovementFactor

    float getMovementFactor(org.bukkit.entity.Player player)

#### getTrackerId

    @Deprecated
    int getTrackerId(org.bukkit.entity.Player player)

Deprecated.

#### getAiSpeed

    float getAiSpeed(org.bukkit.entity.Player player)